# Placeholders

```
%manticswords_mobs% shows the amount of mobs killed by a user
%manticswords_crystals% shows the amount of crystals that a user has
%manticswords_mobtop_POSITIONHERE% - returns the placeholder-format in messages.yml
%manticswords_mobtop_POSITIONHERE_name% - returns the name of the user in that position
%manticswords_mobtop_POSITIONHERE_amount% - returns the amount of the user in that position
%manticswords_crystaltop_POSITIONHERE% - returns the placeholder-format in messages.yml
%manticswords_crystaltop_POSITIONHERE_name% - returns the name of the user in that position
%manticswords_crystaltop_POSITIONHERE_amount% - returns the amount of the user in that position
%manticswords_mobs_pos% shows the leaderboard position of the user for mobs
%manticswords_crystals_pos% shows the leaderboard position of the user for crystals
```

Please replace "POSITIONHERE" with the number of the position, like such:\
`%manticrods_mobtop_1%`

Add \_raw at the end for an unformatted number (i.e. 172123)\
Add \_short at the end for a shortened number (i.e. 172.12k)\
By default the numbers will be formatted in a comma format (i.e. 172,123)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mantic.dev/manticswords/placeholders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
